/* -*- mode: ObjC; tab-width: 8 -*-
   Copyright (C) 2003 TSUTSUMI Kikuo.
   This file is part of the CocoUnit Framework.

   The CocoUnit Framework is free software; you can redistribute
   it and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The CocoUnit Library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied warranty
   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the CocoUnit Library; see the file COPYING.LESSER.
   If not, write to the Free Software Foundation, Inc., 59 Temple
   Place - Suite 330, Boston, MA 02111-1307, USA.  
*/
/*
 * $Id: CocoStreamWriter.h,v 1.2 2003/12/06 02:15:14 tsutsumi Exp $
 */

/** @file
 *
 */

#ifndef COCOSTREAMWRITER_H
#define COCOSTREAMWRITER_H

#include <CocoUnit/CocoWriter.h>
#include <stdio.h>

/**
 *
 */
@interface CocoStreamWriter : CocoWriter
{
  FILE* writer;
}

+(id) streamWriterWithStream:(FILE*) stream;

-(id) init;

-(id) initWithStream:(FILE*) stream;

-(void) printFormat:(NSString*) format, ...;

@end

#endif // COCOSTREAMWRITER_H
