/* -*- mode: ObjC; tab-width: 8 -*-
   Copyright (C) 2003 TSUTSUMI Kikuo.
   This file is part of the CocoUnit Framework.

   The CocoUnit Framework is free software; you can redistribute
   it and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The CocoUnit Library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied warranty
   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the CocoUnit Library; see the file COPYING.LESSER.
   If not, write to the Free Software Foundation, Inc., 59 Temple
   Place - Suite 330, Boston, MA 02111-1307, USA.  
*/
/*
 * $Id: NoTestCaseClass.m,v 1.2 2003/11/24 03:36:46 tsutsumi Exp $
 */

/** @file
 *
 */

#include "NoTestCaseClass.h"

/**
 *
 */
@implementation NoTestCaseClass

+(id) testCaseWithName:(NSString*) testName
{
  return [ [ self alloc ] initWithName: testName ];
}

-(id) initWithName:(NSString*) testName
{
  [ super init ];
  name = [ testName retain ];
  return self;
}

-(void) dealloc
{
  [ name release ];
  [ super dealloc ];
}

-(void) testSuccess
{
}

@end
